## GstError

GstError — Categorized error messages

## Synopsis

    enum        GstCoreError;
    enum        GstLibraryError;
    enum        GstResourceError;
    enum        GstStreamError;
    #define     GST_TYPE_G_ERROR
    #define     GST_LIBRARY_ERROR
    #define     GST_RESOURCE_ERROR
    #define     GST_CORE_ERROR
    #define     GST_STREAM_ERROR
    #define     GST_ERROR_SYSTEM
    gchar*      gst_error_get_message           (GQuark domain,
                                                 gint code);
    GQuark      gst_stream_error_quark          (void);
    GQuark      gst_core_error_quark            (void);
    GQuark      gst_resource_error_quark        (void);
    GQuark      gst_library_error_quark         (void);

## Description

## Details

### enum GstCoreError

    typedef enum
    {
      GST_CORE_ERROR_FAILED = 1,
      GST_CORE_ERROR_TOO_LAZY,
      GST_CORE_ERROR_NOT_IMPLEMENTED,
      GST_CORE_ERROR_STATE_CHANGE,
      GST_CORE_ERROR_PAD,
      GST_CORE_ERROR_THREAD,
      GST_CORE_ERROR_SCHEDULER,
      GST_CORE_ERROR_NEGOTIATION,
      GST_CORE_ERROR_EVENT,
      GST_CORE_ERROR_SEEK,
      GST_CORE_ERROR_CAPS,
      GST_CORE_ERROR_TAG,
      GST_CORE_ERROR_NUM_ERRORS
    }
    GstCoreError;

### enum GstLibraryError

    typedef enum
    {
      GST_LIBRARY_ERROR_FAILED = 1,
      GST_LIBRARY_ERROR_TOO_LAZY,
      GST_LIBRARY_ERROR_INIT,
      GST_LIBRARY_ERROR_SHUTDOWN,
      GST_LIBRARY_ERROR_SETTINGS,
      GST_LIBRARY_ERROR_ENCODE,
      GST_LIBRARY_ERROR_NUM_ERRORS
    }
    GstLibraryError;

### enum GstResourceError

    typedef enum
    {
      GST_RESOURCE_ERROR_FAILED = 1,
      GST_RESOURCE_ERROR_TOO_LAZY,
      GST_RESOURCE_ERROR_NOT_FOUND,
      GST_RESOURCE_ERROR_BUSY,
      GST_RESOURCE_ERROR_OPEN_READ,
      GST_RESOURCE_ERROR_OPEN_WRITE,
      GST_RESOURCE_ERROR_OPEN_READ_WRITE,
      GST_RESOURCE_ERROR_CLOSE,
      GST_RESOURCE_ERROR_READ,
      GST_RESOURCE_ERROR_WRITE,
      GST_RESOURCE_ERROR_SEEK,
      GST_RESOURCE_ERROR_SYNC,
      GST_RESOURCE_ERROR_SETTINGS,
      GST_RESOURCE_ERROR_NUM_ERRORS
    }
    GstResourceError;

### enum GstStreamError

    typedef enum
    {
      GST_STREAM_ERROR_FAILED = 1,
      GST_STREAM_ERROR_TOO_LAZY,
      GST_STREAM_ERROR_NOT_IMPLEMENTED,
      GST_STREAM_ERROR_TYPE_NOT_FOUND,
      GST_STREAM_ERROR_WRONG_TYPE,
      GST_STREAM_ERROR_CODEC_NOT_FOUND,
      GST_STREAM_ERROR_DECODE,
      GST_STREAM_ERROR_ENCODE,
      GST_STREAM_ERROR_DEMUX,
      GST_STREAM_ERROR_MUX,
      GST_STREAM_ERROR_FORMAT,
      GST_STREAM_ERROR_NUM_ERRORS
    }
    GstStreamError;

### GST_TYPE_G_ERROR

    #define GST_TYPE_G_ERROR    (gst_g_error_get_type ())

### GST_LIBRARY_ERROR

    #define GST_LIBRARY_ERROR   gst_library_error_quark ()

### GST_RESOURCE_ERROR

    #define GST_RESOURCE_ERROR  gst_resource_error_quark ()

### GST_CORE_ERROR

    #define GST_CORE_ERROR      gst_core_error_quark ()

### GST_STREAM_ERROR

    #define GST_STREAM_ERROR    gst_stream_error_quark ()

### GST_ERROR_SYSTEM

    #define GST_ERROR_SYSTEM    ("system error: %s", g_strerror (errno))

### gst_error_get_message ()

    gchar*      gst_error_get_message           (GQuark domain,
                                                 gint code);

`domain` : | the GStreamer error domain this error belongs to.
`code` : | the error code belonging to the domain.
Returns : | a newly allocated string describing the error message in the current locale.

### gst_stream_error_quark ()

    GQuark      gst_stream_error_quark          (void);

Returns : |

### gst_core_error_quark ()

    GQuark      gst_core_error_quark            (void);

Returns : |

### gst_resource_error_quark ()

    GQuark      gst_resource_error_quark        (void);

Returns : |

### gst_library_error_quark ()

    GQuark      gst_library_error_quark         (void);

Returns : |